CREATE TABLE hes_credit_periods_tl (
    CREDIT_PERIOD_ID             NUMBER(18, 0),
    LANGUAGE                     VARCHAR2(16) ,
    SOURCE_LANG                  VARCHAR2(16)     NOT NULL,
    CREDIT_PERIOD_NAME           VARCHAR2(200)    NOT NULL,
    CREDIT_PERIOD_DESCRIPTION    VARCHAR2(960),
    COMMENTS                     CLOB         ,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CREDIT_PERIOD_ID             NUMBER(18, 0),
    LANGUAGE                     VARCHAR2(16) ,
    SOURCE_LANG                  VARCHAR2(16)     NOT NULL,
    CREDIT_PERIOD_NAME           VARCHAR2(200)    NOT NULL,
    CREDIT_PERIOD_DESCRIPTION    VARCHAR2(960),
    COMMENTS                     CLOB         ,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_hes_credit_periods_tl PRIMARY KEY (CREDIT_PERIOD_ID, LANGUAGE, CREDIT_PERIOD_ID, LANGUAGE)
);
